Skip to main content
POST
/
organizations
/
{orgId}
/
api-keys
Create an API key
curl --request POST \
  --url https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Service API Key",
  "scope": "ie_model",
  "expiresAt": 1738812775
}
'
import requests

url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys"

payload = {
"name": "My Service API Key",
"scope": "ie_model",
"expiresAt": 1738812775
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Service API Key', scope: 'ie_model', expiresAt: 1738812775})
};

fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6ImM2NDNh..."
}

Authorizations

Authorization
string
header
required

An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.

Path Parameters

orgId
string<uuid>
required

The organization's ID.

  • Must be a valid UUID.
Example:

"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"

Body

application/json

The API key creation request.

name
string
required

The API key name.

Example:

"My Service API Key"

scope
enum<string>

The API key scope. Default value is ie_model.

Available options:
ie_model,
ce_resource
Example:

"ie_model"

expiresAt
integer

The UNIX timestamp when API key will expire (UTC).

  • Must be a UNIX timestamp in seconds and must be greater than the current time.
  • If not set, the key will not expire.
Example:

1738812775

Response

Successfully created an API key.

key
string
required

The generated API key (returned only once).

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6ImM2NDNh..."